webpackJsonp([22],{

/***/ 370:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "CitydataPageModule", function() { return CitydataPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(16);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__citydata__ = __webpack_require__(420);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var CitydataPageModule = /** @class */ (function () {
    function CitydataPageModule() {
    }
    CitydataPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["I" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__citydata__["a" /* CitydataPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["i" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__citydata__["a" /* CitydataPage */]),
            ],
            exports: [
                __WEBPACK_IMPORTED_MODULE_2__citydata__["a" /* CitydataPage */],
            ],
        })
    ], CitydataPageModule);
    return CitydataPageModule;
}());

//# sourceMappingURL=citydata.module.js.map

/***/ }),

/***/ 420:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return CitydataPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(16);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_city_data_city_data__ = __webpack_require__(233);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_storage_storage__ = __webpack_require__(25);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__providers_storage_httpService__ = __webpack_require__(37);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5_jquery__ = __webpack_require__(32);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5_jquery___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_5_jquery__);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};






/**
 * Generated class for the CitydataPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var CitydataPage = /** @class */ (function () {
    function CitydataPage(navCtrl, navParams, elementRef, renderer, viewCtrl, cityData, storage, httpservice) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.elementRef = elementRef;
        this.renderer = renderer;
        this.viewCtrl = viewCtrl;
        this.cityData = cityData;
        this.storage = storage;
        this.httpservice = httpservice;
        /* 定义省市区名称 */
        this.provinceName = "";
        this.cityName = "";
        this.areaName = "";
        /* 定义flag用于控制显示省市区视图 */
        this.provinceFlag = true;
        this.cityFlag = false;
        this.areaFlag = false;
        this.daFlag = false;
        this.provinces = [];
        this.cities = [];
        this.areas = [];
        this.uid = navParams.data.uid;
        // this.provinceName = navParams.data.province;
        // this.cityName = navParams.data.city;
        // this.areaName = navParams.data.area;
        this.personalInfo = navParams.data;
        if (this.personalInfo.area != null) {
            var strs = this.personalInfo.area.split(" ");
            if (strs.length == 3) {
                this.provinceFlag = false;
                this.areaFlag = true;
                this.provinceName = strs[0];
                this.cityName = strs[1];
                this.areaName = strs[2];
            }
        }
    }
    CitydataPage.prototype.ionViewWillEnter = function () {
        /* 如果没有省市区默认加载省份,否则根据省份和城市和区域查询出对应的数据 */
        if (this.provinceName && this.cityName && this.areaName) {
            this.result = this.cityData.getFull(this.provinceName, this.cityName, this.areaName);
            this.provinces = this.result.provinces;
            this.cities = this.result.cities;
            this.areas = this.result.areas;
            this.daFlag = false;
        }
        else {
            this.provinces = this.cityData.getProvince();
        }
    };
    CitydataPage.prototype.ionViewDidEnter = function () {
        this.storage.displayTab();
    };
    /* 选中省，获取对应的下级市 */
    CitydataPage.prototype.selectProvince = function (data) {
        this.daFlag = false;
        this.provinceName = data.text;
        this.result = this.cityData.getCitys(data.value);
        if (this.result != null) {
            this.cityName = "";
            this.areaName = "";
            var btns = this.elementRef.nativeElement.querySelectorAll(".item_btn");
            for (var i = 0; i < btns.length; i++) {
                this.renderer.removeClass(btns[i], 'active_btn');
            }
            // btns.forEach(element => {
            //   this.renderer.removeClass(element, 'active_btn');
            // });
            this.renderer.addClass(this.elementRef.nativeElement.querySelector(".select"), 'active_btn');
            this.provinceFlag = false;
            this.cityFlag = true;
            this.areaFlag = false;
            this.cities = this.result;
        }
    };
    /* 选中市，获取对应的下级区 */
    CitydataPage.prototype.selectCity = function (data) {
        this.daFlag = false;
        this.cityName = data.text;
        this.result = this.cityData.getArea(data.value);
        if (this.result != null) {
            this.areaName = "";
            var btns = this.elementRef.nativeElement.querySelectorAll(".item_btn");
            for (var i = 0; i < btns.length; i++) {
                this.renderer.removeClass(btns[i], 'active_btn');
            }
            // btns.forEach(element => {
            //   this.renderer.removeClass(element, 'active_btn');
            // });
            this.renderer.addClass(this.elementRef.nativeElement.querySelector(".select"), 'active_btn');
            this.provinceFlag = false;
            this.cityFlag = false;
            this.areaFlag = true;
            this.areas = this.result;
        }
    };
    /* 选中区 */
    CitydataPage.prototype.selectArea = function (data) {
        var _this = this;
        this.daFlag = true;
        this.areaName = data.text;
        var area;
        /* 将地址信息存入数据库 */
        if (this.provinceName && this.cityName && this.areaName) {
            area = this.provinceName + " " + this.cityName + " " + this.areaName;
            var url = this.storage.getUrl() + '/logon/user/updateUserInfo';
            var params = {
                area: area
            };
            this.storage.sendRequest(url, params).then(function (res) {
                console.log(res);
                _this.close();
            }).catch(function (err) {
                console.log(err);
            });
            // try {
            //   $.ajax({
            //     url: url,
            //     type: "post",
            //     dataType: "json",
            //     async: false,
            //     data: {
            //       "area": area,
            //     },
            //     success: function (data) {
            //     },
            //     error: function (data) {
            //       console.log(data);
            //     }
            //   });
            //   this.close();
            // } catch (ev) {
            //   console.log(ev);
            // }
        }
    };
    /* 点击已选择的省 */
    CitydataPage.prototype.currentProvince = function (e) {
        var btns = this.elementRef.nativeElement.querySelectorAll(".item_btn");
        for (var i = 0; i < btns.length; i++) {
            this.renderer.removeClass(btns[i], 'active_btn');
        }
        // btns.forEach(element => {
        //   this.renderer.removeClass(element, 'active_btn');
        // });
        this.renderer.addClass(e.target, 'active_btn');
        this.provinceFlag = true;
        this.cityFlag = false;
        this.areaFlag = false;
    };
    /* 点击已选择的市 */
    CitydataPage.prototype.currentCity = function (e) {
        var btns = this.elementRef.nativeElement.querySelectorAll(".item_btn");
        for (var i = 0; i < btns.length; i++) {
            this.renderer.removeClass(btns[i], 'active_btn');
        }
        // btns.forEach(element => {
        //   this.renderer.removeClass(element, 'active_btn');
        // });
        this.renderer.addClass(e.target, 'active_btn');
        this.provinceFlag = false;
        this.cityFlag = true;
        this.areaFlag = false;
    };
    /* 点击已选择的区 */
    CitydataPage.prototype.currentArea = function (e) {
        var btns = this.elementRef.nativeElement.querySelectorAll(".item_btn");
        for (var i = 0; i < btns.length; i++) {
            this.renderer.removeClass(btns[i], 'active_btn');
        }
        // btns.forEach(element => {
        //   this.renderer.removeClass(element, 'active_btn');
        // });
        this.renderer.addClass(e.target, 'active_btn');
        this.provinceFlag = false;
        this.cityFlag = false;
        this.areaFlag = true;
    };
    /* 关闭modal */
    CitydataPage.prototype.close = function () {
        var data = { province: "", city: "", area: "" };
        if (this.provinceName && this.cityName && this.areaName) {
            data.province = this.provinceName;
            data.city = this.cityName;
            data.area = this.areaName;
        }
        this.viewCtrl.dismiss(data);
    };
    CitydataPage.prototype.ionViewDidLoad = function () {
        console.log('ionViewDidLoad CitydataPage');
    };
    CitydataPage.prototype.ionViewDidLeave = function () {
        if (this.provinceName && this.cityName && this.areaName) {
            var area = this.provinceName + " " + this.cityName + " " + this.areaName;
            __WEBPACK_IMPORTED_MODULE_5_jquery__("#personInfoArea").html(area);
        }
    };
    CitydataPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-citydata',template:/*ion-inline-start:"F:\bookios\src\pages\personalpage\citydata\citydata.html"*/'<div class="content">\n  <div class="content_item">\n    <div class="item_header">\n      所在地区\n      <ion-icon name="close" (click)="close()"></ion-icon>\n    </div>\n    <div class="item_detail">\n      <div class="item_btn" *ngIf="provinceName" (click)="currentProvince($event)">{{provinceName}}</div>\n      <div class="item_btn" *ngIf="cityName" (click)="currentCity($event)">{{cityName}}</div>\n      <div class="item_btn" *ngIf="areaName" (click)="currentArea($event)">{{areaName}}</div>\n      <div class="item_btn select active_btn" *ngIf="daFlag!=true">请选择</div>\n    </div>\n    <ion-scroll scrollX="false" scrollY="true" *ngIf="provinceFlag">\n      <ion-list radio-group>\n        <ion-item *ngFor="let province of provinces">\n          <ion-label>{{province.text}}</ion-label>\n          <ion-radio *ngIf="province.text!=provinceName" checked="false" value="{{province.value}}" color="red" (ionSelect)="selectProvince(province)"></ion-radio>\n          <ion-radio *ngIf="province.text==provinceName" checked="true" value="{{province.value}}" color="red" (ionSelect)="selectProvince(province)"></ion-radio>\n        </ion-item>\n      </ion-list>\n    </ion-scroll>\n    <ion-scroll scrollX="false" scrollY="true" *ngIf="cityFlag">\n      <ion-list radio-group>\n        <ion-item *ngFor="let city of cities">\n          <ion-label>{{city.text}}</ion-label>\n          <ion-radio *ngIf="city.text!=cityName" checked="false" value="{{city.value}}" color="red" (ionSelect)="selectCity(city)"></ion-radio>\n          <ion-radio *ngIf="city.text==cityName" checked="true" value="{{city.value}}" color="red" (ionSelect)="selectCity(city)"></ion-radio>\n        </ion-item>\n      </ion-list>\n    </ion-scroll>\n    <ion-scroll scrollX="false" scrollY="true" *ngIf="areaFlag">\n      <ion-list radio-group>\n        <ion-item *ngFor="let area of areas">\n          <ion-label>{{area.text}}</ion-label>\n          <ion-radio *ngIf="area.text!=areaName" checked="false" value="{{area.value}}" color="red" (ionSelect)="selectArea(area)"></ion-radio>\n          <ion-radio *ngIf="area.text==areaName" checked="true" value="{{area.value}}" color="red" (ionSelect)="selectArea(area)"></ion-radio>\n        </ion-item>\n      </ion-list>\n    </ion-scroll>\n  </div>\n</div>'/*ion-inline-end:"F:\bookios\src\pages\personalpage\citydata\citydata.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["m" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["n" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_0__angular_core__["t" /* ElementRef */],
            __WEBPACK_IMPORTED_MODULE_0__angular_core__["W" /* Renderer2 */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["t" /* ViewController */],
            __WEBPACK_IMPORTED_MODULE_2__providers_city_data_city_data__["a" /* CityDataProvider */],
            __WEBPACK_IMPORTED_MODULE_3__providers_storage_storage__["a" /* StorageProvider */],
            __WEBPACK_IMPORTED_MODULE_4__providers_storage_httpService__["a" /* HttpService */]])
    ], CitydataPage);
    return CitydataPage;
}());

//# sourceMappingURL=citydata.js.map

/***/ })

});
//# sourceMappingURL=22.js.map