webpackJsonp([26],{

/***/ 366:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "MapshowPageModule", function() { return MapshowPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(16);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__mapshow__ = __webpack_require__(416);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var MapshowPageModule = /** @class */ (function () {
    function MapshowPageModule() {
    }
    MapshowPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["I" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__mapshow__["a" /* MapshowPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["i" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__mapshow__["a" /* MapshowPage */]),
            ],
            exports: [
                __WEBPACK_IMPORTED_MODULE_2__mapshow__["a" /* MapshowPage */],
            ]
        })
    ], MapshowPageModule);
    return MapshowPageModule;
}());

//# sourceMappingURL=mapshow.module.js.map

/***/ }),

/***/ 416:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return MapshowPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(16);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_jquery__ = __webpack_require__(32);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_jquery___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_2_jquery__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_storage_storage__ = __webpack_require__(25);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__providers_storage_httpService__ = __webpack_require__(37);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__providers_storage_toast__ = __webpack_require__(22);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__ionic_native_app_availability__ = __webpack_require__(232);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__ionic_native_in_app_browser__ = __webpack_require__(66);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_8__ionic_native_geolocation__ = __webpack_require__(67);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};









var MapshowPage = /** @class */ (function () {
    function MapshowPage(navCtrl, navParams, modalCtrl, storage, httpService, toast, toastCtl, actionSheetCtrl, appAvailability, platform, iab, geolocation) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.modalCtrl = modalCtrl;
        this.storage = storage;
        this.httpService = httpService;
        this.toast = toast;
        this.toastCtl = toastCtl;
        this.actionSheetCtrl = actionSheetCtrl;
        this.appAvailability = appAvailability;
        this.platform = platform;
        this.iab = iab;
        this.geolocation = geolocation;
        this.myIcon = "assets/imgs/points.png"; //位置图标
        this.myIconBottom = "assets/imgs/pointsbottom.png"; //位置图标
        this.myIcon1 = "assets/imgs/marker.png"; //标注图标
        this.myIcon2 = "assets/imgs/marker2.png"; //点击时的标注图标
        this.points = []; //地图标注的点列表数据
        this.flagbd = false; //是否有百度地图App
        this.flaggd = false; ///是否有高德地图App
        MapshowPage_1.mapThis = this;
        this.searchname = "";
        this.flag = 1;
        this.lontitude = navParams.get("lontitude");
        this.latitude = navParams.get("latitude");
    }
    MapshowPage_1 = MapshowPage;
    MapshowPage.prototype.ionViewDidLoad = function () {
    };
    MapshowPage.prototype.ionViewDidEnter = function () {
        this.storage.displayTab();
        //如果上一个页面有位置信息，解决ios加载慢的问题
        if (this.lontitude != null && this.lontitude != undefined && this.lontitude != "") {
            this.latcenter = this.latitude; //地图中心点
            this.loncenter = this.lontitude;
            this.showmap(); //加载地图
            this.showBookSetail(); //获取打点数据
        }
        else {
            // 判断设备获取位置信息
            if (this.platform.is('ios')) {
                this.getLocation();
            }
            else if (this.platform.is('android')) {
                this.getBaidulocation();
            }
        }
        this.openBMap(); //获取本机是否安装百度地图
        this.openGdMap(); //获取本机是否安装高德地图
        this.closeKeyboard(); //关闭input，弹出的键盘
    };
    /*解决Android上input光标无法取消问题*/
    MapshowPage.prototype.closeKeyboard = function () {
        __WEBPACK_IMPORTED_MODULE_2_jquery__("body").on("touchend", function () {
            if (__WEBPACK_IMPORTED_MODULE_2_jquery__('#searchmap').is(":focus") === true) {
                __WEBPACK_IMPORTED_MODULE_2_jquery__('#searchmap').blur(); // 使其失去即可
            }
        });
    };
    /*获取位置的代码，定位，加异常判断，拿不到位置信息的话，默认赋值，默认项可以为H5定位等*/
    MapshowPage.prototype.getBaidulocation = function () {
        var _this = this;
        this.httpService.getGpsModule().then(function (resp) {
            console.log(resp); //获取的位置信息
            var data = JSON.parse(resp + "");
            _this.lontitude = data.lontitude; //当前位置经纬度
            _this.latitude = data.latitude;
            _this.latcenter = _this.latitude; //地图中心点
            _this.loncenter = _this.lontitude;
            if (_this.latitude != undefined && _this.latitude != null && _this.latitude != "") {
                _this.showmap(); //加载地图
                _this.showBookSetail(); //获取打点数据
            }
            else {
                __WEBPACK_IMPORTED_MODULE_5__providers_storage_toast__["a" /* ToastUtils */].presentToast(_this.toastCtl, "定位失败");
            }
        }).catch(function (error) {
            console.log("未获取位置信息");
            /*      //浏览器定位
                  let geolocation1 = this.geolocation1 = new BMap.Geolocation();
                  geolocation1.getCurrentPosition((r) => {
                    if (geolocation1.getStatus() == BMAP_STATUS_SUCCESS) {
                      console.log('浏览器定位：您的位置是 ' + r.point.lng + ',' + r.point.lat);
                      MapshowPage.mapThis.lontitude = r.point.lng + "";
                      MapshowPage.mapThis.latitude = r.point.lat + "";
                      MapshowPage.mapThis.latcenter = this.latitude;//地图中心点
                      MapshowPage.mapThis.loncenter = this.lontitude;
                      MapshowPage.mapThis.showmap();//加载地图
                      MapshowPage.mapThis.showBookSetail();//获取打点数据
                    } else {
                      MapshowPage.mapThis.lontitude = "117.139094";
                      MapshowPage.mapThis.latitude = "36.688547";
                      MapshowPage.mapThis.latcenter = this.latitude;//地图中心点
                      MapshowPage.mapThis.loncenter = this.lontitude;
                      MapshowPage.mapThis.showmap();//加载地图
                      MapshowPage.mapThis.showBookSetail();//获取打点数据
                    }
                  }, {enableHighAccuracy: false})*/
            _this.lontitude = "117.139094";
            _this.latitude = "36.688547";
            _this.latcenter = _this.latitude; //地图中心点
            _this.loncenter = _this.lontitude;
            _this.showmap(); //加载地图
            _this.showBookSetail(); //获取打点数据
        });
    };
    /*ios定位插件，GPS定位，需要手机测试效果*/
    MapshowPage.prototype.getLocation = function () {
        var _this = this;
        console.log("获取位置信息");
        this.geolocation.getCurrentPosition().then(function (resp) {
            console.log('GPS定位：您的位置是 ' + resp.coords.longitude + ',' + resp.coords.latitude);
            var x = resp.coords.longitude;
            var y = resp.coords.latitude;
            _this.transBd(x, y); //获取数据
        }).catch(function (e) {
            _this.lontitude = "117.139094";
            _this.latitude = "36.688547";
            _this.latcenter = _this.latitude; //地图中心点
            _this.loncenter = _this.lontitude;
            MapshowPage_1.mapThis.showmap(); //加载地图
            MapshowPage_1.mapThis.showBookSetail(); //获取数据
            console.log("获取定位失败" + e);
        });
    };
    //google转百度坐标
    MapshowPage.prototype.transBd = function (x, y) {
        var ggPoint = new BMap.Point(x, y);
        var convertor = new BMap.Convertor();
        var pointArr = [];
        pointArr.push(ggPoint);
        convertor.translate(pointArr, 1, 5, function (data) {
            if (data.status === 0) {
                console.log(data.points[0]);
                var lat = data.points[0].lat;
                var lng = data.points[0].lng;
                MapshowPage_1.mapThis.lontitude = lng;
                MapshowPage_1.mapThis.latitude = lat;
                console.log("转换后坐标为：" + lng + "," + lat);
                MapshowPage_1.mapThis.latcenter = lat; //地图中心点
                MapshowPage_1.mapThis.loncenter = lng;
                MapshowPage_1.mapThis.showmap(); //加载地图
                MapshowPage_1.mapThis.showBookSetail(); //获取数据
            }
        });
    };
    /*页面展示地图*/
    MapshowPage.prototype.showmap = function () {
        /* 定位，位置展示*/
        var map = this.map =
            new BMap.Map(this.map_container.nativeElement, {
                enableMapClick: true,
                enableContinuousZoom: true,
            }); //创建地图实例
        console.log("地图中心点位置：" + this.loncenter + "," + this.latcenter);
        var po = new BMap.Point(this.loncenter, this.latcenter); //定义中心点
        map.centerAndZoom(po, 15); // 初始化地图,设置中心点坐标和地图级别
        var bs = this.map.getBounds(); //获取可视区域
        var bssw = bs.getSouthWest(); //可视区域左下角
        var bsne = bs.getNorthEast(); //可视区域右上角
        this.bssw = bssw.lng + "," + bssw.lat;
        this.bsne = bsne.lng + "," + bsne.lat;
        MapshowPage_1.mapThis.addclick();
    };
    //展示当前位置的标注
    MapshowPage.prototype.showposition = function () {
        var point = new BMap.Point(this.lontitude, this.latitude); //坐标可以通过百度地图坐标拾取器获取,手机定位获取
        var myIcon = new BMap.Icon(this.myIcon, new BMap.Size(22, 31)); //自定义标注的图标
        var myIconb = new BMap.Icon(this.myIconBottom, new BMap.Size(20, 20));
        var marker = new BMap.Marker(point, { icon: myIcon }); //地图位置标注
        marker.setOffset(new BMap.Size(0, -22)); //设置偏移量
        var marker2 = new BMap.Marker(point, { icon: myIconb }); //地图位置标注下方
        marker2.setOffset(new BMap.Size(0, 0)); //设置偏移量
        this.map.addOverlay(marker); //将标注添加到地图上
        this.map.addOverlay(marker2); //将标注添加到地图上
        /* 定位文字展示*/
        var opts = {
            position: point,
            offset: new BMap.Size(10, -15) //设置文本偏移量
        };
        var label = new BMap.Label("&nbsp;&nbsp;您的位置&nbsp;&nbsp;", opts); // 创建文本标注对象
        label.setStyle({
            border: "0px solid",
            color: "#ffffff",
            fontSize: "12px",
            opacity: 0.7,
            height: "2rem",
            lineHeight: "2rem",
            fontFamily: "微软雅黑",
            background: "#000000",
            borderRadius: "5px",
        });
        this.map.addOverlay(label); //将标注添加到地图上
    };
    /*展示书柜位置的标注*/
    MapshowPage.prototype.showmarker = function () {
        var myIcon;
        this.map.clearOverlays(); //清除所有点的数据
        /*书柜数组定位展示*/
        for (var i = 0; i < this.points.length; i++) {
            //判断是否是点击事件，图标不同
            if (this.points[i].prid == this.check) {
                myIcon = new BMap.Icon(this.myIcon2, new BMap.Size(35, 35), {
                    offset: new BMap.Size(15, 25),
                });
            }
            else {
                myIcon = new BMap.Icon(this.myIcon1, new BMap.Size(30, 30), {
                    offset: new BMap.Size(15, 25),
                });
            }
            var jd = parseFloat(this.points[i].longitude); //经度，字符串转number
            var wd = parseFloat(this.points[i].latitude); //纬度，字符串转number
            var point1 = new BMap.Point(jd, wd);
            // 创建标注对象并添加到地图
            var marker1 = new BMap.Marker(point1, { icon: myIcon });
            var content = this.points[i];
            this.map.addOverlay(marker1); // 将标注添加到地图中
            /*书柜数组文字展示*/
            var opts = {
                position: point1,
                offset: new BMap.Size(15, -15) //设置文本偏移量
            };
            var label = new BMap.Label("&nbsp;&nbsp;" + this.points[i].case_name + "&nbsp;&nbsp;", opts); // 创建文本标注对象
            label.setStyle({
                border: "1px solid #eaeaea",
                color: "#29b49f",
                fontSize: "12px",
                height: "2rem",
                paddingBottom: "2px",
                fontWeight: "600",
                lineHeight: "1.5rem",
                fontFamily: "微软雅黑",
                background: "#ffffff",
                borderRadius: "5px"
            });
            this.map.addOverlay(label); //将标注添加到地图上
            /*给标注添加点击事件*/
            this.addClickHandler(content, marker1);
        }
    };
    /* 拖拽地图重新加载数据*/
    MapshowPage.prototype.addclick = function () {
        MapshowPage_1.mapThis.map.addEventListener("tilesloaded", function () {
            var bs = MapshowPage_1.mapThis.map.getBounds(); //获取可视区域
            var bssw = bs.getSouthWest(); //可视区域左下角
            var bsne = bs.getNorthEast(); //可视区域右上角
            MapshowPage_1.mapThis.bssw = bssw.lng + "," + bssw.lat;
            MapshowPage_1.mapThis.bsne = bsne.lng + "," + bsne.lat;
            console.log("拖拽地图：" + MapshowPage_1.mapThis.bssw + "," + MapshowPage_1.mapThis.bsne);
            if (MapshowPage_1.mapThis.flag == 1) {
                MapshowPage_1.mapThis.flag = 2;
            }
            else if (MapshowPage_1.mapThis.flag == 5) {
                MapshowPage_1.mapThis.flag = 5;
            }
            else if (MapshowPage_1.mapThis.flag == 9) {
                MapshowPage_1.mapThis.flag = 9;
            }
            else {
                MapshowPage_1.mapThis.showBookSetail(); //获取打点数据
                MapshowPage_1.mapThis.showmarker(); //展示书柜位置
                MapshowPage_1.mapThis.showposition(); //展示当前位置
            }
        });
    };
    /*给地图标注添加点击事件*/
    MapshowPage.prototype.addClickHandler = function (content, marker) {
        marker.addEventListener("click", function (e) {
            MapshowPage_1.mapThis.checkPoint = content; //将点击点的数据设置为全局变量
            this.case_name = content.case_name;
            this.case_address = content.case_address;
            this.distance = content.distance;
            this.prid = content.prid;
            console.log("选择" + content.longitude + content.latitude);
            MapshowPage_1.mapThis.checklontitude = content.longitude; //经度，字符串转number
            MapshowPage_1.mapThis.checklatitude = content.latitude; //纬度，字符串转number
            //刷新文字
            __WEBPACK_IMPORTED_MODULE_2_jquery__(".btn-location").empty();
            var str = "<div class=\"div-text-span\">" +
                "<span class=\"p-text1\" >" + this.case_name + "</span>" +
                "<span class=\"span-map-check\">" +
                " <i class=\"iconfont icon-pointer pointer-img\"></i>\n" +
                "<span class=\"span-1\">" + this.distance + "</span>" +
                "</span>" +
                "</div> <div class=\"div-text-span2\">" +
                "<span class=\"p-text2\">" + this.case_address + "</span>" +
                "<button ion-button class=\"map-button\">去选书" +
                "<i class=\"iconfont icon-right right-img\"></i></button>" +
                "</div>";
            __WEBPACK_IMPORTED_MODULE_2_jquery__(".btn-location").html(str);
            //添加点击事件
            __WEBPACK_IMPORTED_MODULE_2_jquery__('.map-button').on('click', function () {
                var searchname = "";
                if (MapshowPage_1.mapThis.searchname != null && MapshowPage_1.mapThis.searchname != "") {
                    searchname = MapshowPage_1.mapThis.searchname;
                }
                var data = {
                    prid: content.prid,
                    case_name: content.case_name,
                    searchname: searchname //搜索项
                };
                // let page = MapshowPage.mapThis.modalCtrl.create('BooklistPage', data);
                // page.present();
                MapshowPage_1.mapThis.navCtrl.push('BooklistPage', data);
            });
            //距离添加点击事件
            __WEBPACK_IMPORTED_MODULE_2_jquery__('.span-map-check').on('click', function () {
                MapshowPage_1.mapThis.showOtherMap();
            });
            MapshowPage_1.mapThis.check = content.prid; //获取点击的点
            MapshowPage_1.mapThis.showmarker(); //展示书柜位置//重新加载点
            MapshowPage_1.mapThis.showposition(); //展示当前位置
        });
    };
    /*打开本机地图*/
    MapshowPage.prototype.showOtherMap = function () {
        var btn = MapshowPage_1.mapThis.showApp();
        var actionSheet = MapshowPage_1.mapThis.actionSheetCtrl.create({
            cssClass: 'headChoice',
            buttons: btn
        });
        actionSheet.present();
    };
    /*展示有哪些地图*/
    MapshowPage.prototype.showApp = function () {
        var buttons;
        console.log("终点经纬度" + this.case_address + this.checklatitude + "," + this.checklontitude);
        if (this.flaggd && this.flagbd) {
            buttons = [
                /*  {
                    text: '显示路线',
                    role: 'destructive',
                    handler: () => {
                      MapshowPage.mapThis.flag = 9;
                      MapshowPage.mapThis.showLine();
                    }
                  },*/ {
                    text: '高德地图',
                    handler: function () {
                        MapshowPage_1.mapThis.openGd();
                    }
                }, {
                    text: '百度地图',
                    handler: function () {
                        MapshowPage_1.mapThis.openBd();
                    }
                }, {
                    text: '取消',
                    role: 'cancel',
                    handler: function () {
                        console.log('Cancel clicked');
                    }
                }
            ];
        }
        else if (this.flagbd && !this.flaggd) {
            buttons = [
                /*{
                  text: '显示路线',
                  role: 'destructive',
                  handler: () => {
                    MapshowPage.mapThis.flag = 9;
                    MapshowPage.mapThis.showLine();
                  }
                },*/ {
                    text: '百度地图',
                    handler: function () {
                        MapshowPage_1.mapThis.openBd();
                    }
                }, {
                    text: '取消',
                    role: 'cancel',
                    handler: function () {
                        console.log('Cancel clicked');
                    }
                }
            ];
        }
        else if (this.flaggd && !this.flagbd) {
            buttons = [
                /* {
                   text: '显示路线',
                   role: 'destructive',
                   handler: () => {
                     MapshowPage.mapThis.flag = 9;
                     MapshowPage.mapThis.showLine();
                   }
                 },*/ {
                    text: '高德地图',
                    handler: function () {
                        MapshowPage_1.mapThis.openGd();
                    }
                }, {
                    text: '取消',
                    role: 'cancel',
                    handler: function () {
                        console.log('Cancel clicked');
                    }
                }
            ];
        }
        else {
            buttons = [
                {
                    text: '未找到地图软件',
                    role: 'destructive',
                    handler: function () {
                        // MapshowPage.mapThis.flag = 9;
                        // MapshowPage.mapThis.showLine();
                    }
                }, {
                    text: '取消',
                    role: 'cancel',
                    handler: function () {
                        console.log('Cancel clicked');
                    }
                }
            ];
        }
        return buttons;
    };
    /*显示路线*/
    MapshowPage.prototype.showLine = function () {
        var myP1 = new BMap.Point(this.lontitude, this.latitude); //起点
        var myP2 = new BMap.Point(this.checklontitude, this.checklatitude); //终点
        console.log(this.lontitude + this.latitude + "," + this.checklontitude, this.checklatitude);
        this.map.clearOverlays(); //清除地图上所有的覆盖物
        var walking = new BMap.WalkingRoute(this.map, { renderOptions: { map: this.map, autoViewport: false } }); //创建步行实例
        walking.search(myP1, myP2); //步行搜索
    };
    /*检测高德地图*/
    MapshowPage.prototype.openGdMap = function () {
        var _this = this;
        var app = '';
        if (this.platform.is('ios')) {
            app = 'iosamap://';
            /* Scheme URL */
        }
        else if (this.platform.is('android')) {
            app = 'com.autonavi.minimap';
            /* 安卓包名 */
        }
        this.appAvailability.check(app) /* 检测是否已安装 */
            .then(function (yes) {
            _this.flaggd = true;
        }, function (no) {
            _this.flaggd = false;
        });
    };
    /*检测是否有百度地图*/
    MapshowPage.prototype.openBMap = function () {
        var _this = this;
        var app = '';
        if (this.platform.is('ios')) {
            app = 'baidumap://';
            /* 百度的Scheme URL */
        }
        else if (this.platform.is('android')) {
            app = 'com.baidu.BaiduMap';
            /* 百度的安卓包名 */
        }
        this.appAvailability.check(app) /* 检测百度地图是否已安装 */
            .then(function (yes) {
            _this.flagbd = true;
        }, function (no) {
            _this.flagbd = false;
        });
    };
    /*打开高德地图App*/
    MapshowPage.prototype.openGd = function () {
        var bd_lng = parseFloat(this.checklontitude);
        var bd_lat = parseFloat(this.checklatitude);
        // 百度坐标转高德
        var X_PI = Math.PI * 3000.0 / 180.0;
        var x = bd_lng - 0.0065;
        var y = bd_lat - 0.006;
        var z = Math.sqrt(x * x + y * y) - 0.00002 * Math.sin(y * X_PI);
        var theta = Math.atan2(y, x) - 0.000003 * Math.cos(x * X_PI);
        var gg_lng = z * Math.cos(theta);
        var gg_lat = z * Math.sin(theta);
        var mypackage = '';
        var uri = "";
        if (this.platform.is('ios')) {
            uri = "iosamap://path?sourceApplication=sharebook&sid=BGVIS1&slat=" + this.latitude + "&slon=" + this.lontitude + "&did=BGVIS2&dlat=" + gg_lat + "&dlon=" + gg_lng + "&dev=0&t=2";
            var sApp = startApp.set(uri);
            sApp.start(function () {
                console.log("OK");
            }, function (error) {
                alert("打开失败，请重试");
            });
        }
        else if (this.platform.is('android')) {
            mypackage = 'com.autonavi.minimap';
            uri = "amapuri://route/plan/?sourceApplication=softname&dlat=" + gg_lat + "&dlon=" + gg_lng + "&dname=" + this.case_address + "&dev=0&t=2";
            var sApp2 = startApp.set({
                "action": "ACTION_VIEW",
                "category": "CATEGORY_DEFAULT",
                "type": "text/css",
                "package": mypackage,
                "uri": uri,
                "flags": ["FLAG_ACTIVITY_CLEAR_TOP", "FLAG_ACTIVITY_CLEAR_TASK"],
                "intentstart": "startActivity",
            });
            sApp2.start(function () {
                console.log("OK");
            }, function (error) {
                alert("打开失败，请重试");
            });
        }
    };
    /*打开百度地图App*/
    MapshowPage.prototype.openBd = function () {
        var scheme = "com.baidu.BaiduMap";
        // 反向地址解析,和正常经纬度位置相反
        var myLocation = this.latitude + "," + this.lontitude;
        var str = this.checklatitude + "," + this.checklontitude;
        var mypackage = '';
        var uri = "";
        if (this.platform.is('ios')) {
            uri = "baidumap://map/direction?src=ios.baidu.openAPIdemo&origin=" + myLocation + "&destination=" + str + "&mode=walking";
            var sApp = startApp.set(uri);
            sApp.start(function () {
                console.log("OK");
            }, function (error) {
                alert("打开失败，请重试");
            });
        }
        else if (this.platform.is('android')) {
            mypackage = 'com.baidu.BaiduMap';
            uri = "baidumap://map/direction?src=openApiDemo&destination=name:" + this.case_address + "|latlng:" + str + "&mode=walking";
            /* 百度的安卓包名 */
            var sApp2 = startApp.set({
                "action": "ACTION_VIEW",
                "category": "CATEGORY_DEFAULT",
                "type": "text/css",
                "package": mypackage,
                "uri": uri,
                "flags": ["FLAG_ACTIVITY_CLEAR_TOP", "FLAG_ACTIVITY_CLEAR_TASK"],
                "intentstart": "startActivity",
            });
            sApp2.start(function () {
                console.log("OK");
            }, function (error) {
                alert("打开失败，请重试");
            });
        }
    };
    /*页面数据初始化*/
    MapshowPage.prototype.init = function () {
        if (this.check != null && this.check != "") {
            this.prid = this.checkPoint.prid;
            this.case_name = this.checkPoint.case_name;
            this.case_address = this.checkPoint.case_address;
            this.distance = this.checkPoint.distance;
        }
        if (this.points != null && this.points != "") {
            if (this.check == null || this.check == "") {
                this.prid = this.points[0].prid;
                this.case_name = this.points[0].case_name;
                this.case_address = this.points[0].case_address;
                this.distance = this.points[0].distance;
                this.checklontitude = this.points[0].longitude; //经度，字符串转number
                this.checklatitude = this.points[0].latitude; //纬度，字符串转number
            }
            __WEBPACK_IMPORTED_MODULE_2_jquery__(".btn-location").empty();
            var str = "<div class=\"div-text-span\">" +
                "<span class=\"p-text1\" >" + this.case_name + "</span>" +
                "<span class=\"span-map-check\">" +
                " <i class=\"iconfont icon-pointer pointer-img\"></i>\n" +
                "<span class=\"span-1\">" + this.distance + "</span>" +
                "</span>" +
                "</div> <div class=\"div-text-span2\">" +
                "<span class=\"p-text2\">" + this.case_address + "</span>" +
                "<button ion-button class=\"map-button\">去选书" +
                "<i class=\"iconfont icon-right right-img\"></i></button>" +
                "</div>";
            __WEBPACK_IMPORTED_MODULE_2_jquery__(".btn-location").html(str);
            //添加点击事件
            __WEBPACK_IMPORTED_MODULE_2_jquery__(".map-button").on('click', function () {
                var searchname = "";
                if (MapshowPage_1.mapThis.searchname != null && MapshowPage_1.mapThis.searchname != "") {
                    searchname = MapshowPage_1.mapThis.searchname;
                }
                var data = {
                    prid: MapshowPage_1.mapThis.prid,
                    case_name: MapshowPage_1.mapThis.case_name,
                    searchname: searchname //搜索项
                };
                // let page = MapshowPage.mapThis.modalCtrl.create('BooklistPage', data);
                // page.present();
                MapshowPage_1.mapThis.navCtrl.push('BooklistPage', data);
            });
            //距离添加点击事件
            __WEBPACK_IMPORTED_MODULE_2_jquery__('.span-map-check').on('click', function () {
                MapshowPage_1.mapThis.showOtherMap();
            });
        }
    };
    /*我的位置点击事件，定位到当前位置*/
    MapshowPage.prototype.mylocation = function () {
        var val = MapshowPage_1.mapThis.searchname = __WEBPACK_IMPORTED_MODULE_2_jquery__("#searchmap").val().toString();
        if (val != "" && val != null && val != undefined) {
            MapshowPage_1.mapThis.flag = 7;
            MapshowPage_1.mapThis.showmap(); // 初始化地图,设置中心点坐标和地图级别
            MapshowPage_1.mapThis.showBookSetail();
        }
        else {
            MapshowPage_1.mapThis.flag = 1;
            MapshowPage_1.mapThis.loncenter = MapshowPage_1.mapThis.lontitude;
            MapshowPage_1.mapThis.latcenter = MapshowPage_1.mapThis.latitude; //定义中心点
            MapshowPage_1.mapThis.showmap(); // 初始化地图,设置中心点坐标和地图级别
            MapshowPage_1.mapThis.showBookSetail(); //获取打点数据
        }
    };
    /*有搜索项的时候地图重新初始化，更改地图中心点，页面数据初始化*/
    MapshowPage.prototype.reinit = function () {
        if (this.points != null && this.points != "" && this.points != "[]") {
            this.prid = this.points[0].prid;
            this.case_name = this.points[0].case_name;
            this.case_address = this.points[0].case_address;
            this.distance = this.points[0].distance;
            this.checklontitude = this.points[0].longitude; //经度，字符串转number
            this.checklatitude = this.points[0].latitude; //纬度，字符串转number
            if (this.flag == 7) {
                this.latcenter = this.latitude;
                this.loncenter = this.lontitude;
            }
            else {
                //重新定义地图中心点
                this.latcenter = this.points[0].latitude;
                this.loncenter = this.points[0].longitude;
            }
            __WEBPACK_IMPORTED_MODULE_2_jquery__(".btn-location").empty();
            var str = "<div class=\"div-text-span\">" +
                "<span class=\"p-text1\" >" + this.case_name + "</span>" +
                "<span class=\"span-map-check\">" +
                " <i class=\"iconfont icon-pointer pointer-img\"></i>\n" +
                "<span class=\"span-1\">" + this.distance + "</span>" +
                "</span>" +
                "</div> <div class=\"div-text-span2\">" +
                "<span class=\"p-text2\">" + this.case_address + "</span>" +
                "<button ion-button class=\"map-button\">去选书" +
                "<i class=\"iconfont icon-right right-img\"></i></button>" +
                "</div>";
            __WEBPACK_IMPORTED_MODULE_2_jquery__(".btn-location").html(str);
            //添加点击事件
            __WEBPACK_IMPORTED_MODULE_2_jquery__(".map-button").on('click', function () {
                var searchname = "";
                if (MapshowPage_1.mapThis.searchname != null && MapshowPage_1.mapThis.searchname != "") {
                    searchname = MapshowPage_1.mapThis.searchname;
                }
                var data = {
                    prid: MapshowPage_1.mapThis.prid,
                    case_name: MapshowPage_1.mapThis.case_name,
                    searchname: searchname //搜索项
                };
                // let page = MapshowPage.mapThis.modalCtrl.create('BooklistPage', data);
                // page.present();
                MapshowPage_1.mapThis.navCtrl.push('BooklistPage', data);
            });
            //距离添加点击事件
            __WEBPACK_IMPORTED_MODULE_2_jquery__('.span-map-check').on('click', function () {
                MapshowPage_1.mapThis.showOtherMap();
            });
            this.flag = 5;
            this.showmap(); //加载地图
            this.showmarker(); //展示书柜位置
            this.showposition(); //展示当前位置
        }
        else {
            __WEBPACK_IMPORTED_MODULE_5__providers_storage_toast__["a" /* ToastUtils */].presentToast(this.toastCtl, "未找到相关图书");
            this.searchname = "";
        }
    };
    /*获取标注点列表数据*/
    MapshowPage.prototype.showBookSetail = function () {
        var _this = this;
        if (this.searchname == undefined) {
            this.searchname = "";
        }
        var url = this.storage.getUrl() + '/home/borrow/getBookCaseMap';
        var params = {
            longitude: this.lontitude,
            latitude: this.latitude,
            bssw: this.bssw,
            bsne: this.bsne,
            title: this.searchname,
        };
        try {
            this.storage.sendRequest(url, params).then(function (res) {
                console.log(res);
                _this.points = __WEBPACK_IMPORTED_MODULE_2_jquery__["parseJSON"](res.data);
                console.log(_this.points);
                _this.changeList(_this.points); //格式化数据
                //判断是否是第一次加载，如果有搜索内容，重新定位地图的中心点
                if (_this.searchname != null && _this.searchname != "") {
                    _this.reinit();
                }
                else {
                    _this.init();
                    _this.showmarker(); //展示书柜位置
                    _this.showposition(); //展示当前位置
                }
                //如果没有书柜信息，那么下方div隐藏
                if (res.data == "[]") {
                    __WEBPACK_IMPORTED_MODULE_2_jquery__("#mylocation").css("display", "none");
                }
                else {
                    __WEBPACK_IMPORTED_MODULE_2_jquery__("#mylocation").css("display", "block");
                }
            });
        }
        catch (ev) {
            console.log(ev);
        }
    };
    /*关闭页面*/
    MapshowPage.prototype.close = function () {
        this.navCtrl.pop();
    };
    /*打开书柜列表*/
    MapshowPage.prototype.openBooklist = function (ev) {
        var data = {
            prid: ev.prid,
            case_name: ev.case_name //书柜名称
        };
        // let page = this.modalCtrl.create('BooklistPage', data);
        // page.present();
        this.navCtrl.push('BooklistPage', data);
    };
    /*搜索*/
    MapshowPage.prototype.search = function () {
        if (__WEBPACK_IMPORTED_MODULE_2_jquery__('#searchmap').is(":focus") === true) {
            __WEBPACK_IMPORTED_MODULE_2_jquery__('#searchmap').blur(); // 使其失去即可
        }
        this.searchname = __WEBPACK_IMPORTED_MODULE_2_jquery__("#searchmap").val().toString();
        if (this.searchname != null && this.searchname != "") {
            //清除所有点的数据
            this.map.clearOverlays();
            this.showBookSetail(); //获取数据
        }
        else {
            this.searchname = "";
            //清除所有点的数据
            this.map.clearOverlays();
            //清除check
            this.check = "";
            this.flag = 3;
            this.showmap();
        }
    };
    /*规范数据，修改距离展示数据*/
    MapshowPage.prototype.changeList = function (ev) {
        if (ev != null) {
            //修改距离
            for (var i = 0; i < ev.length; i++) {
                var dest = parseFloat(ev[i].distance);
                if (dest < 1) {
                    dest = dest * 1000;
                    ev[i].distance = dest + "m";
                }
                else {
                    ev[i].distance = dest + "km";
                }
            }
        }
    };
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["_8" /* ViewChild */])('map'),
        __metadata("design:type", __WEBPACK_IMPORTED_MODULE_0__angular_core__["t" /* ElementRef */])
    ], MapshowPage.prototype, "map_container", void 0);
    MapshowPage = MapshowPage_1 = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-mapshow',template:/*ion-inline-start:"F:\bookios\src\pages\mappage\mapshow\mapshow.html"*/'<ion-header>\n  <div class="div-header-mapshow">\n    <div class="div-back-mapshow" (click)="close()">\n      <i class="iconfont icon-left" style="font-size:1.6rem;"></i>\n    </div>\n    <form>\n      <div class="ser-div">\n        <input id="searchmap" class="search" type="search" placeholder="输入图书名称">\n        <i class="iconfont icon-search ser-img"></i>\n      </div>\n      <button class="ser-button" (click)="search()">\n        搜索\n      </button>\n    </form>\n  </div>\n</ion-header>\n\n<ion-content padding overflow-scroll="false" class="map_ccontent">\n\n  <div #map class="map_container"></div>\n  <div class="btn-location">\n    <!--<div class="div-text-span">\n      <span class="p-text1">15153 </span>\n      <div class="span-map-check">\n        <i class="iconfont icon-pointer pointer-img"></i>\n        <span class="span-1">3453dsf45</span>\n      </div>\n    </div>\n    <div class="div-text-span2">\n      <span class="p-text2"> 345345 </span>\n      <button class="map-button">\n        去选书 <i class="iconfont icon-right right-img"></i>\n      </button>\n    </div>-->\n  </div>\n\n\n  <div class="myposition" (click)="mylocation()">\n    <i class="iconfont icon-location" style="font-size: 24px"></i>\n  </div>\n</ion-content>\n'/*ion-inline-end:"F:\bookios\src\pages\mappage\mapshow\mapshow.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["m" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["n" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["k" /* ModalController */],
            __WEBPACK_IMPORTED_MODULE_3__providers_storage_storage__["a" /* StorageProvider */],
            __WEBPACK_IMPORTED_MODULE_4__providers_storage_httpService__["a" /* HttpService */],
            __WEBPACK_IMPORTED_MODULE_5__providers_storage_toast__["a" /* ToastUtils */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["s" /* ToastController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["a" /* ActionSheetController */],
            __WEBPACK_IMPORTED_MODULE_6__ionic_native_app_availability__["a" /* AppAvailability */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["o" /* Platform */],
            __WEBPACK_IMPORTED_MODULE_7__ionic_native_in_app_browser__["a" /* InAppBrowser */],
            __WEBPACK_IMPORTED_MODULE_8__ionic_native_geolocation__["a" /* Geolocation */]])
    ], MapshowPage);
    return MapshowPage;
    var MapshowPage_1;
}());

//# sourceMappingURL=mapshow.js.map

/***/ })

});
//# sourceMappingURL=26.js.map