webpackJsonp([27],{

/***/ 365:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "GdmapPageModule", function() { return GdmapPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(16);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__gdmap__ = __webpack_require__(415);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var GdmapPageModule = /** @class */ (function () {
    function GdmapPageModule() {
    }
    GdmapPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["I" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__gdmap__["a" /* GdmapPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["i" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__gdmap__["a" /* GdmapPage */]),
            ], exports: [
                __WEBPACK_IMPORTED_MODULE_2__gdmap__["a" /* GdmapPage */],
            ],
        })
    ], GdmapPageModule);
    return GdmapPageModule;
}());

//# sourceMappingURL=gdmap.module.js.map

/***/ }),

/***/ 415:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return GdmapPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(16);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_storage_httpService__ = __webpack_require__(37);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_storage_storage__ = __webpack_require__(25);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__providers_storage_toast__ = __webpack_require__(22);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5_jquery__ = __webpack_require__(32);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5_jquery___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_5_jquery__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__ionic_native_in_app_browser__ = __webpack_require__(66);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__ionic_native_app_availability__ = __webpack_require__(232);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};








var GdmapPage = /** @class */ (function () {
    function GdmapPage(navCtrl, navParams, modalCtrl, storage, httpService, toast, toastCtl, actionSheetCtrl, appAvailability, platform, iab) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.modalCtrl = modalCtrl;
        this.storage = storage;
        this.httpService = httpService;
        this.toast = toast;
        this.toastCtl = toastCtl;
        this.actionSheetCtrl = actionSheetCtrl;
        this.appAvailability = appAvailability;
        this.platform = platform;
        this.iab = iab;
        this.myIcon = "assets/imgs/points.png"; //位置图标
        this.myIcon1 = "assets/imgs/marker.png"; //标注图标
        this.myIcon2 = "assets/imgs/marker2.png"; //点击时的标注图标
        this.points = []; //地图标注的点列表数据
        this.flagbd = false; //是否有百度地图App
        this.flaggd = false; ///是否有高德地图App
        GdmapPage_1.mapThis = this;
        this.searchname = "";
        this.flag = 1;
    }
    GdmapPage_1 = GdmapPage;
    GdmapPage.prototype.ionViewDidLoad = function () {
    };
    GdmapPage.prototype.ionViewDidEnter = function () {
        this.storage.displayTab();
        this.getBaidulocation(); //获取位置信息
        this.openBMap(); //获取本机是否安装百度地图
        this.openGdMap(); //获取本机是否安装高德地图
    };
    /*获取位置的代码，定位，加异常判断，拿不到位置信息的话，默认赋值，默认项可以为H5定位等*/
    GdmapPage.prototype.getBaidulocation = function () {
        var _this = this;
        this.httpService.getGpsModule().then(function (resp) {
            console.log(resp); //获取的位置信息
            var data = JSON.parse(resp + "");
            _this.lontitude = data.lontitude; //当前位置经纬度
            _this.latitude = data.latitude;
            _this.lontitude = _this.bd_decrypt(_this.lontitude, _this.latitude).lng.toString(); //百度定位转高德
            _this.latitude = _this.bd_decrypt(_this.lontitude, _this.latitude).lat.toString();
            _this.latcenter = _this.latitude; //地图中心点
            _this.loncenter = _this.lontitude;
            if (_this.latitude != undefined && _this.latitude != null && _this.latitude != "") {
                _this.showmap(); //加载地图
                _this.showBookSetail(); //获取打点数据
            }
            else {
                __WEBPACK_IMPORTED_MODULE_4__providers_storage_toast__["a" /* ToastUtils */].presentToast(_this.toastCtl, "定位失败");
            }
        }).catch(function (error) {
            _this.lontitude = "117.143374";
            _this.latitude = "36.682794";
            _this.lontitude = _this.bd_decrypt(_this.lontitude, _this.latitude).lng.toString(); //百度定位转高德
            _this.latitude = _this.bd_decrypt(_this.lontitude, _this.latitude).lat.toString();
            console.log(_this.bd_decrypt(_this.lontitude, _this.latitude).lng + "," + _this.bd_decrypt(_this.lontitude, _this.latitude).lat);
            _this.latcenter = _this.latitude; //地图中心点
            _this.loncenter = _this.lontitude;
            _this.showmap(); //加载地图
            _this.showBookSetail(); //获取打点数据
        });
    };
    //百度坐标转高德（传入经度、纬度）
    GdmapPage.prototype.bd_decrypt = function (bd_lng, bd_lat) {
        var X_PI = Math.PI * 3000.0 / 180.0;
        var x = bd_lng - 0.0065;
        var y = bd_lat - 0.006;
        var z = Math.sqrt(x * x + y * y) - 0.00002 * Math.sin(y * X_PI);
        var theta = Math.atan2(y, x) - 0.000003 * Math.cos(x * X_PI);
        var gg_lng = z * Math.cos(theta);
        var gg_lat = z * Math.sin(theta);
        return { lng: gg_lng, lat: gg_lat };
    };
    /*页面展示地图*/
    GdmapPage.prototype.showmap = function () {
        var map = this.map = new AMap.Map(this.map_container2.nativeElement, {
            view: new AMap.View2D({
                center: [this.loncenter, this.latcenter],
                zoom: 16,
                rotateEnable: true,
                showBuildingBlock: true
            })
        }); //创建地图实例*/
        // 初始化地图,设置中心点坐标和地图级别
        var bs = this.map.getBounds(); //获取可视区域
        this.chageMap = bs;
        var bssw = bs.getSouthWest(); //可视区域左下角，西南角
        var bsne = bs.getNorthEast(); //可视区域右上角，东北角
        this.bssw = bssw.lng + "," + bssw.lat;
        this.bsne = bsne.lng + "," + bsne.lat;
        console.log("左下右上" + this.bssw + this.bsne);
        GdmapPage_1.mapThis.addclick(); //拖拽地图事件
    };
    //展示当前位置的标注
    GdmapPage.prototype.showposition = function () {
        var marker = new AMap.Marker({
            position: [this.lontitude, this.latitude],
            icon: new AMap.Icon({
                size: new AMap.Size(46, 66),
                imageSize: new AMap.Size(23, 33),
                image: this.myIcon,
                imageOffset: new AMap.Pixel(0, 0)
            })
        });
        marker.setMap(this.map);
        // 设置label标签
        marker.setLabel({
            offset: new AMap.Pixel(23, 12),
            content: "&nbsp;&nbsp;您的位置&nbsp;&nbsp;"
        });
    };
    /*展示书柜位置的标注*/
    GdmapPage.prototype.showmarker = function () {
        /*书柜数组定位展示*/
        if (this.points != null && this.points != "") {
            var myIcon = void 0;
            this.positions = new Array();
            for (var i = 0; i < this.points.length; i++) {
                //判断是否是点击事件，图标不同
                if (this.points[i].prid == this.check) {
                    myIcon = this.myIcon2;
                }
                else {
                    myIcon = this.myIcon1;
                }
                // 创建标注对象并添加到地图
                var jd = parseFloat(this.points[i].longitude); //经度，字符串转number
                var wd = parseFloat(this.points[i].latitude); //纬度，字符串转number
                this.positions.push("[" + jd + "," + wd + "]");
                var content = this.points[i];
                var marker2 = new AMap.Marker({
                    position: [jd, wd],
                    icon: new AMap.Icon({
                        size: new AMap.Size(54, 54),
                        imageSize: new AMap.Size(27, 27),
                        image: myIcon,
                        imageOffset: new AMap.Pixel(0, 0)
                    })
                });
                marker2.setMap(this.map);
                // 将标注添加到地图中
                /*书柜数组文字展示*/
                marker2.setLabel({
                    offset: new AMap.Pixel(27, 0),
                    content: "&nbsp;&nbsp;" + this.points[i].case_name + "&nbsp;&nbsp;"
                });
                //将标注添加到地图上
                /*给标注添加点击事件*/
                //给点标注添加点击事件
                marker2.on('click', this.addClickHandler(content, marker2));
            }
        }
    };
    /* 拖拽地图重新加载数据*/
    GdmapPage.prototype.addclick = function () {
        GdmapPage_1.mapThis.map.on("dragend", function () {
            var bs = GdmapPage_1.mapThis.map.getBounds(); //获取可视区域
            var bssw = bs.getSouthWest(); //可视区域左下角
            var bsne = bs.getNorthEast(); //可视区域右上角
            GdmapPage_1.mapThis.bssw = bssw.lng + "," + bssw.lat;
            GdmapPage_1.mapThis.bsne = bsne.lng + "," + bsne.lat;
            console.log("拖拽地图：" + GdmapPage_1.mapThis.bssw + "," + GdmapPage_1.mapThis.bsne);
            if (GdmapPage_1.mapThis.flag == 1) {
                GdmapPage_1.mapThis.flag = 2;
            }
            else if (GdmapPage_1.mapThis.flag == 5) {
                GdmapPage_1.mapThis.flag = 5;
            }
            else {
                GdmapPage_1.mapThis.showBookSetail(); //获取打点数据
                GdmapPage_1.mapThis.showmarker(); //展示书柜位置
            }
        });
    };
    /*清除打点数据*/
    GdmapPage.prototype.clear = function () {
        var markers = [], positions = [
            this.positions
        ];
        this.map.remove(markers);
    };
    /*给地图标注添加点击事件*/
    GdmapPage.prototype.addClickHandler = function (content, marker) {
        marker.on("click", function (e) {
            GdmapPage_1.mapThis.checkPoint = content; //将点击点的数据设置为全局变量
            this.case_name = content.case_name;
            this.case_address = content.case_address;
            this.distance = content.distance;
            this.prid = content.prid;
            GdmapPage_1.mapThis.checklontitude = content.longitude; //经度，字符串转number
            GdmapPage_1.mapThis.checklatitude = content.latitude; //纬度，字符串转number
            //刷新文字
            __WEBPACK_IMPORTED_MODULE_5_jquery__(".btn-location").empty();
            var str = "<div class=\"div-text-span\">" +
                "<span class=\"p-text1\" >" + this.case_name + "</span>" +
                "<span class=\"span-text-map\">" + this.distance + "</span>" +
                "</div> <div class=\"div-text-span2\">" +
                "<span class=\"p-text2\">" + this.case_address + "</span>" +
                "<button ion-button class=\"map-button\">去选书</button>" +
                "</div>";
            __WEBPACK_IMPORTED_MODULE_5_jquery__(".btn-location").html(str);
            //显示打开外部地图
            __WEBPACK_IMPORTED_MODULE_5_jquery__(".othermap").css("display", "block");
            //添加点击事件
            __WEBPACK_IMPORTED_MODULE_5_jquery__('.map-button').on('click', function () {
                var searchname = "";
                if (GdmapPage_1.mapThis.searchname != null && GdmapPage_1.mapThis.searchname != "") {
                    searchname = GdmapPage_1.mapThis.searchname;
                }
                var data = {
                    prid: content.prid,
                    case_name: content.case_name,
                    searchname: searchname //搜索项
                };
                var page = GdmapPage_1.mapThis.modalCtrl.create('BooklistPage', data);
                page.present();
            });
            GdmapPage_1.mapThis.check = content.prid; //获取点击的点
            GdmapPage_1.mapThis.showmarker(); //展示书柜位置//重新加载点
        });
    };
    /*打开本机地图*/
    GdmapPage.prototype.showOtherMap = function () {
        var btn = GdmapPage_1.mapThis.showApp();
        var actionSheet = GdmapPage_1.mapThis.actionSheetCtrl.create({
            cssClass: 'headChoice',
            buttons: btn
        });
        actionSheet.present();
    };
    /*展示有哪些地图*/
    GdmapPage.prototype.showApp = function () {
        var buttons;
        if (this.flaggd && this.flagbd) {
            buttons = [
                /*  {
                    text: '显示路线',
                    role: 'destructive',
                    handler: () => {
                      MapshowPage.mapThis.flag = 9;
                      MapshowPage.mapThis.showLine();
                    }
                  },*/ {
                    text: '高德地图',
                    handler: function () {
                        GdmapPage_1.mapThis.openGd();
                    }
                }, {
                    text: '百度地图',
                    handler: function () {
                        GdmapPage_1.mapThis.openBd();
                    }
                }, {
                    text: '取消',
                    role: 'cancel',
                    handler: function () {
                        console.log('Cancel clicked');
                    }
                }
            ];
        }
        else if (this.flagbd && !this.flagbd) {
            buttons = [
                /*{
                  text: '显示路线',
                  role: 'destructive',
                  handler: () => {
                    MapshowPage.mapThis.flag = 9;
                    MapshowPage.mapThis.showLine();
                  }
                },*/ {
                    text: '百度地图',
                    handler: function () {
                        GdmapPage_1.mapThis.openBd();
                    }
                }, {
                    text: '取消',
                    role: 'cancel',
                    handler: function () {
                        console.log('Cancel clicked');
                    }
                }
            ];
        }
        else if (this.flaggd && !this.flagbd) {
            buttons = [
                /* {
                   text: '显示路线',
                   role: 'destructive',
                   handler: () => {
                     MapshowPage.mapThis.flag = 9;
                     MapshowPage.mapThis.showLine();
                   }
                 },*/ {
                    text: '高德地图',
                    handler: function () {
                        GdmapPage_1.mapThis.openGd();
                    }
                }, {
                    text: '取消',
                    role: 'cancel',
                    handler: function () {
                        console.log('Cancel clicked');
                    }
                }
            ];
        }
        else {
            buttons = [
                {
                    text: '未找到地图软件',
                    role: 'destructive',
                    handler: function () {
                        // MapshowPage.mapThis.flag = 9;
                        // MapshowPage.mapThis.showLine();
                    }
                }, {
                    text: '取消',
                    role: 'cancel',
                    handler: function () {
                        console.log('Cancel clicked');
                    }
                }
            ];
        }
        return buttons;
    };
    /*检测高德地图*/
    GdmapPage.prototype.openGdMap = function () {
        var _this = this;
        var app = '';
        if (this.platform.is('ios')) {
            app = 'iosamap://';
            /* Scheme URL */
        }
        else if (this.platform.is('android')) {
            app = 'com.autonavi.minimap';
            /* 安卓包名 */
        }
        this.appAvailability.check(app) /* 检测是否已安装 */
            .then(function (yes) {
            _this.flaggd = true;
        }, function (no) {
            _this.flaggd = false;
        });
    };
    /*检测是否有百度地图*/
    GdmapPage.prototype.openBMap = function () {
        var _this = this;
        var app = '';
        if (this.platform.is('ios')) {
            app = 'weixin://';
            /* 百度的Scheme URL */
        }
        else if (this.platform.is('android')) {
            app = 'com.baidu.BaiduMap';
            /* 百度的安卓包名 */
        }
        this.appAvailability.check(app) /* 检测百度地图是否已安装 */
            .then(function (yes) {
            _this.flagbd = true;
        }, function (no) {
            _this.flagbd = false;
        });
    };
    /*打开高德地图App*/
    GdmapPage.prototype.openGd = function () {
        var bd_lng = parseFloat(this.checklontitude);
        var bd_lat = parseFloat(this.checklatitude);
        // 百度坐标转高德
        var X_PI = Math.PI * 3000.0 / 180.0;
        var x = bd_lng - 0.0065;
        var y = bd_lat - 0.006;
        var z = Math.sqrt(x * x + y * y) - 0.00002 * Math.sin(y * X_PI);
        var theta = Math.atan2(y, x) - 0.000003 * Math.cos(x * X_PI);
        var gg_lng = z * Math.cos(theta);
        var gg_lat = z * Math.sin(theta);
        var sApp = startApp.set({
            /* params */
            "action": "ACTION_VIEW",
            "category": "CATEGORY_DEFAULT",
            "type": "text/css",
            "package": "com.autonavi.minimap",
            // "uri": "amapuri://viewReGeo?sourceApplication=softname&lat=" + gg_lat + "&lon=" + gg_lng + "&dev=0",
            "uri": "amapuri://route/plan/?sourceApplication=softname&dlat=" + gg_lat + "&dlon=" + gg_lng + "&dev=0&t=2",
            "flags": ["FLAG_ACTIVITY_CLEAR_TOP", "FLAG_ACTIVITY_CLEAR_TASK"],
            "intentstart": "startActivity",
        });
        sApp.start(function () {
            console.log("OK");
        }, function (error) {
            alert(error);
        });
    };
    /*打开百度地图App*/
    GdmapPage.prototype.openBd = function () {
        var scheme = "com.baidu.BaiduMap";
        // 反向地址解析,和正常经纬度位置相反
        var str = this.checklatitude + "," + this.checklontitude;
        var sApp = startApp.set({
            /* params */
            "action": "ACTION_VIEW",
            "category": "CATEGORY_DEFAULT",
            "type": "text/css",
            "package": "com.baidu.BaiduMap",
            // "uri": "baidumap://map/geocoder?src=openApiDemo&location=" + str,
            "uri": "baidumap://map/direction?src=openApiDemo&destination=" + str + "&mode=walking",
            "flags": ["FLAG_ACTIVITY_CLEAR_TOP", "FLAG_ACTIVITY_CLEAR_TASK"],
            "intentstart": "startActivity",
        });
        sApp.start(function () {
            console.log("OK");
        }, function (error) {
            alert(error);
        });
    };
    /*页面数据初始化*/
    GdmapPage.prototype.init = function () {
        if (this.check != null && this.check != "") {
            this.prid = this.checkPoint.prid;
            this.case_name = this.checkPoint.case_name;
            this.case_address = this.checkPoint.case_address;
            this.distance = this.checkPoint.distance;
        }
        if (this.points != null && this.points != "") {
            if (this.check == null || this.check == "") {
                this.prid = this.points[0].prid;
                this.case_name = this.points[0].case_name;
                this.case_address = this.points[0].case_address;
                this.distance = this.points[0].distance;
            }
            __WEBPACK_IMPORTED_MODULE_5_jquery__(".btn-location").empty();
            var str = "<div class=\"div-text-span\">" +
                "<span class=\"p-text1\" >" + this.case_name + "</span>" +
                "<span class=\"span-text-map\">" + this.distance + "</span>" +
                "</div> <div class=\"div-text-span2\">" +
                "<span class=\"p-text2\">" + this.case_address + "</span>" +
                "<button ion-button class=\"map-button\">去选书</button>" +
                "</div>";
            __WEBPACK_IMPORTED_MODULE_5_jquery__(".btn-location").html(str);
            //添加点击事件
            __WEBPACK_IMPORTED_MODULE_5_jquery__(".map-button").on('click', function () {
                var searchname = "";
                if (GdmapPage_1.mapThis.searchname != null && GdmapPage_1.mapThis.searchname != "") {
                    searchname = GdmapPage_1.mapThis.searchname;
                }
                var data = {
                    prid: GdmapPage_1.mapThis.prid,
                    case_name: GdmapPage_1.mapThis.case_name,
                    searchname: searchname //搜索项
                };
                var page = GdmapPage_1.mapThis.modalCtrl.create('BooklistPage', data);
                page.present();
            });
        }
    };
    /*我的位置点击事件，定位到当前位置*/
    GdmapPage.prototype.mylocation = function () {
        GdmapPage_1.mapThis.loncenter = GdmapPage_1.mapThis.lontitude;
        GdmapPage_1.mapThis.latcenter = GdmapPage_1.mapThis.latitude; //定义中心点
        GdmapPage_1.mapThis.showmap(); // 初始化地图,设置中心点坐标和地图级别
        GdmapPage_1.mapThis.showBookSetail(); //获取打点数据
    };
    /*有搜索项的时候地图重新初始化，更改地图中心点，页面数据初始化*/
    GdmapPage.prototype.reinit = function () {
        if (this.points != null && this.points != "" && this.points != "[]") {
            this.prid = this.points[0].prid;
            this.case_name = this.points[0].case_name;
            this.case_address = this.points[0].case_address;
            this.distance = this.points[0].distance;
            //重新定义地图中心点
            this.latcenter = this.points[0].latitude;
            this.loncenter = this.points[0].longitude;
            __WEBPACK_IMPORTED_MODULE_5_jquery__(".btn-location").empty();
            var str = "<div class=\"div-text-span\">" +
                "<span class=\"p-text1\" >" + this.case_name + "</span>" +
                "<span class=\"span-text-map\">" + this.distance + "</span>" +
                "</div> <div class=\"div-text-span2\">" +
                "<span class=\"p-text2\">" + this.case_address + "</span>" +
                "<button ion-button class=\"map-button\">去选书</button>" +
                "</div>";
            __WEBPACK_IMPORTED_MODULE_5_jquery__(".btn-location").html(str);
            //添加点击事件
            __WEBPACK_IMPORTED_MODULE_5_jquery__(".map-button").on('click', function () {
                var searchname = "";
                if (GdmapPage_1.mapThis.searchname != null && GdmapPage_1.mapThis.searchname != "") {
                    searchname = GdmapPage_1.mapThis.searchname;
                }
                var data = {
                    prid: GdmapPage_1.mapThis.prid,
                    case_name: GdmapPage_1.mapThis.case_name,
                    searchname: searchname //搜索项
                };
                var page = GdmapPage_1.mapThis.modalCtrl.create('BooklistPage', data);
                page.present();
            });
            this.flag = 5;
            this.showmap(); //加载地图
            this.showposition(); //展示当前位置
            this.showmarker(); //展示书柜位置
        }
        else {
            __WEBPACK_IMPORTED_MODULE_4__providers_storage_toast__["a" /* ToastUtils */].presentToast(this.toastCtl, "未找到相关图书");
            this.searchname = "";
        }
    };
    /*获取标注点列表数据*/
    GdmapPage.prototype.showBookSetail = function () {
        var _this = this;
        if (this.searchname == undefined) {
            this.searchname = "";
        }
        var url = this.storage.getUrl() + '/home/borrow/getBookCaseMap';
        var params = {
            longitude: this.lontitude,
            latitude: this.latitude,
            bssw: this.bssw,
            bsne: this.bsne,
            title: this.searchname,
        };
        this.storage.sendRequest(url, params).then(function (res) {
            console.log(res);
            _this.points = __WEBPACK_IMPORTED_MODULE_5_jquery__["parseJSON"](res.data);
            console.log(_this.points);
            _this.changeList(_this.points); //格式化数据
            //判断是否是第一次加载，如果有搜索内容，重新定位地图的中心点
            if (_this.searchname != null && _this.searchname != "") {
                _this.reinit();
            }
            else {
                _this.init();
                _this.showposition(); //展示当前位置
                _this.showmarker(); //展示书柜位置
            }
            //如果没有书柜信息，那么下方div隐藏
            if (res.data == "[]") {
                __WEBPACK_IMPORTED_MODULE_5_jquery__("#mylocation").css("display", "none");
            }
            else {
                __WEBPACK_IMPORTED_MODULE_5_jquery__("#mylocation").css("display", "block");
            }
        }, function (err) {
            console.log(err);
        }).catch(function (error) {
            console.log(error);
        });
        // try {
        //   this.storage.sendRequest(url, params, (res, err) => {
        //     if (err) {
        //       console.log(err);
        //       return;
        //     }
        //     console.log(res);
        //     this.points = $.parseJSON(res.data);
        //     console.log(this.points);
        //     this.changeList(this.points);//格式化数据
        //     //判断是否是第一次加载，如果有搜索内容，重新定位地图的中心点
        //     if (this.searchname != null && this.searchname != "") {
        //       this.reinit();
        //     } else {
        //       this.init();
        //       this.showposition();//展示当前位置
        //       this.showmarker();//展示书柜位置
        //     }
        //     //如果没有书柜信息，那么下方div隐藏
        //     if (res.data == "[]") {
        //       $("#mylocation").css("display", "none");
        //     } else {
        //       $("#mylocation").css("display", "block");
        //     }
        //   });
        // } catch (ev) {
        //   console.log(ev);
        // }
    };
    /*关闭页面*/
    GdmapPage.prototype.close = function () {
        this.navCtrl.pop();
    };
    /*打开书柜列表*/
    GdmapPage.prototype.openBooklist = function (ev) {
        var data = {
            prid: ev.prid,
            case_name: ev.case_name //书柜名称
        };
        var page = this.modalCtrl.create('BooklistPage', data);
        page.present();
    };
    /*搜索*/
    GdmapPage.prototype.search = function () {
        this.searchname = __WEBPACK_IMPORTED_MODULE_5_jquery__("#searchmap").val().toString();
        if (this.searchname != null && this.searchname != "") {
            //清除所有点的数据
            this.clear();
            this.showBookSetail(); //获取数据
        }
        else {
            this.searchname = "";
            //清除所有点的数据
            this.clear();
            //清除check
            this.check = "";
            this.flag = 3;
            this.showmap();
            this.showBookSetail(); //获取打点数据
        }
    };
    /*规范数据，修改距离展示数据*/
    GdmapPage.prototype.changeList = function (ev) {
        if (ev != null) {
            //修改距离
            for (var i = 0; i < ev.length; i++) {
                var dest = parseFloat(ev[i].distance);
                if (dest < 1) {
                    dest = dest * 1000;
                    ev[i].distance = dest + "m";
                }
                else {
                    ev[i].distance = dest + "km";
                }
            }
        }
    };
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["_8" /* ViewChild */])('map2'),
        __metadata("design:type", __WEBPACK_IMPORTED_MODULE_0__angular_core__["t" /* ElementRef */])
    ], GdmapPage.prototype, "map_container2", void 0);
    GdmapPage = GdmapPage_1 = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-gdmap',template:/*ion-inline-start:"F:\bookios\src\pages\mappage\gdmap\gdmap.html"*/'<ion-header>\n  <div class="div-header">\n    <div class="div-back" (click)="close()">\n      <i class="iconfont icon-left" style="font-size:1.6rem;"></i>\n    </div>\n    <form>\n      <div class="ser-div">\n        <input id="searchmap" class="search" type="search" placeholder="输入图书名称">\n        <i class="iconfont icon-search ser-img"></i>\n      </div>\n\n      <button class="ser-button" (click)="search()">\n        搜索\n      </button>\n    </form>\n  </div>\n</ion-header>\n\n<ion-content padding overflow-scroll="false" class="map_ccontent">\n  <div #map2 id="map_container2"></div>\n  <div class="btn-location" id="mylocation">\n  </div>\n\n  <div class="othermap" (click)="showOtherMap()" style="display: none">\n    打开本机地图\n  </div>\n\n  <div class="myposition" (click)="mylocation()">\n    <i class="iconfont icon-location" style="font-size: 24px"></i>\n  </div>\n</ion-content>\n'/*ion-inline-end:"F:\bookios\src\pages\mappage\gdmap\gdmap.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["m" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["n" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["k" /* ModalController */],
            __WEBPACK_IMPORTED_MODULE_3__providers_storage_storage__["a" /* StorageProvider */],
            __WEBPACK_IMPORTED_MODULE_2__providers_storage_httpService__["a" /* HttpService */],
            __WEBPACK_IMPORTED_MODULE_4__providers_storage_toast__["a" /* ToastUtils */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["s" /* ToastController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["a" /* ActionSheetController */],
            __WEBPACK_IMPORTED_MODULE_7__ionic_native_app_availability__["a" /* AppAvailability */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["o" /* Platform */],
            __WEBPACK_IMPORTED_MODULE_6__ionic_native_in_app_browser__["a" /* InAppBrowser */]])
    ], GdmapPage);
    return GdmapPage;
    var GdmapPage_1;
}());

//# sourceMappingURL=gdmap.js.map

/***/ })

});
//# sourceMappingURL=27.js.map